import ColHeader from "@/components/col-header";
import ColSearch from "@/components/col-search";
import { Sticky, Image } from "vant";
import { defineComponent } from "vue";
import styles from './index.module.less'

import banner from '../video-class/images/banner.png'
import LiveItem from "./live-item";

export default defineComponent({
  name: 'liveClass',
  render() {
    return (
      <div>
        <Sticky offsetTop={0}>
          <ColHeader class={styles.classHeader} border={false} background="transparent" isFixed={false} />
          <ColSearch placeholder="请输入老师名称/课程名称" onSearch={this.onSearch} />
        </Sticky>

        <div class={styles.banner}>
          <Image src={banner} />
        </div>

        <div class={styles.liveList}>
          {[1, 2, 3].map(item => (
            <LiveItem />
          ))}
        </div>
      </div>
    )
  }
})