import { defineComponent } from "vue";
import { Image, CellGroup, Cell } from "vant";
import styles from './live-item.module.less';

export default defineComponent({
  name: "liveItem",
  render() {
    return (
      <Cell
        center
        border={false}
        class={styles.liveItem}
        v-slots={{
          icon: () => (<Image class={styles.liCover} fit="cover" src="https://cdn.jsdelivr.net/npm/@vant/assets/cat.jpeg" />),
          title: () => <div>
            <div class={[styles.liTitle, 'van-ellipsis']}>竖笛基础入门练习</div>
            <div class={styles.liUserInfo}>
              <p>老师：李云磊</p>
              <p>开课时间：2月28日 19:30</p>
            </div>
            <div class={styles.liPrice}>
              <p>
                <span class={styles.price}><i>¥</i>299</span>
                <span class={styles.classNum}>12课时</span>
              </p>
              <span class={styles.num}>6人已购买</span>
            </div>
          </div>
        }}
      />
    )
  }
})